Issue 26725

Summary: Calc always shows "Standard" as fomat for a selection of cells, even if no cell has really "Standard"-format. So "Standard"-format cannot be applied to a selection of "mixed" cells (but other formats can)
Product: Calc Reporter: norbert2 <norbert.notz>
Component: codeAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: issues
Version: OOo 1.1.1RC   
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---
Attachments:
Description Flags
formats.sxc none

Description norbert2 2004-03-19 11:11:13 UTC
I have attached a simple spreadsheet, which has 2 filles cells. One 
is "Standard"-format, the other scientific-format.
If I select both and right-click "format cells" (I hope this is corect name of 
english context-menu) Standard format is shown. Calc always uses "Standard" if 
the selected cells have different formats. This fact makes it impossible to 
change all selected cells together back to really "Standard", but to every 
other format.

Excel has non format selected when having cells of different formats selected. 
This makes it possible to switch all cells back to "Standard" also if they are 
in different formats.

I consider this as bug, because Calc shows "Standard" although cells are in the 
selection (or all cells) that are not "Standard"-format.
Please handle this like Excel: You should differ between really 
apply "Standard" and "do not change".

PS: "Standard" is used in the german version; I'm not sure if it is also used 
in the english version.
Comment 1 norbert2 2004-03-19 11:11:37 UTC
Created attachment 13934 [details]
formats.sxc
Comment 2 frank 2004-03-19 11:20:18 UTC
Hi Bettina,

one for you.

Please have also a look at Issue 26697.

Frank
Comment 3 norbert2 2004-04-16 07:53:48 UTC
The issue 26697 mentioned in the comment above is already closed. So there is 
no need to have a look at issue 26697.
Comment 4 norbert2 2004-05-16 10:38:54 UTC
I think this is a bug, not an request for enhacement:

Calc alway shows "Standard" if the the selected cells have different fomats,
even if no of the cells really has "Standard"-format!!! So the user cannot
switch all cells to standard, but to any othetr format!

So that's a bug and not consistent with (for example) the behaviour of the
background colors in the selection. Calc correctly shows no color selected as
background (also not "Keine Füllung" (german)) if the cells have different
background-colors. So the user can set all to "Keine Füllung" by just clicking
it and confirm.

This should analogous be fixed for the number-format.
Not only Excel, even the recent Planmaker Beta correctly shows NOT
"Standard"-format selected if the selected cells have different formats!
Comment 5 norbert2 2004-05-16 10:41:32 UTC
[Corrected summary.]
Comment 6 bettina.haberer 2004-06-04 14:18:47 UTC
Hello Niklas, could you please give an effort estimation about implementation of
changing the behaviour that way, that at selection of cells with different
assigned formats the focus is taken out of the appropriate listbox in the format
dialog? Thx.
Comment 7 norbert2 2006-10-16 18:17:01 UTC
Hi Niklas, could you please give a short response!?
Comment 8 niklas.nebel 2006-10-17 09:01:29 UTC
Should be changed, but no priority at the moment.
Comment 9 Regina Henschel 2007-04-21 19:22:38 UTC
*** Issue 76573 has been marked as a duplicate of this issue. ***
Comment 10 Marcus 2017-05-20 11:13:43 UTC
Reset assigne to the default "issues@openoffice.apache.org".